//
//  setup_ext_dlg.cpp - setup ext controls dialog class implementation
//
//  $Id: setup_ext_dlg.cpp 1 2007-04-15 22:52:37Z brian $ 
//
//  Copyright (c) 1999-2007 by Precision Micro Control Corp. All rights reserved.
//
#include "stdafx.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

//
// CSetupExtControlsDlg dialog
//
CSetupExtControlsDlg::CSetupExtControlsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSetupExtControlsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetupExtControlsDlg)
	m_BlockButtonChannel = 0;
	m_FHoldButtonChannel = 0;
	m_StartButtonChannel = 0;
	m_BlockIndicatorChannel = 0;
	m_FHoldIndicatorChannel = 0;
	m_StartIndicatorChannel = 0;
	m_BlockSkipSwitchChannel = 0;
	m_DryrunSwitchChannel = 0;
	m_DriveFaultInputChannel = 0;
	m_EStopInputChannel = 0;
	m_ExtEStopInputChannel = 0;
	//}}AFX_DATA_INIT
}

void CSetupExtControlsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetupExtControlsDlg)
	DDX_Text(pDX, IDC_BLOCK_BUTTON_CHANNEL, m_BlockButtonChannel);
	DDV_MinMaxInt(pDX, m_BlockButtonChannel, 0, 16);
	DDX_Text(pDX, IDC_FHOLD_BUTTON_CHANNEL, m_FHoldButtonChannel);
	DDV_MinMaxInt(pDX, m_FHoldButtonChannel, 0, 16);
	DDX_Text(pDX, IDC_START_BUTTON_CHANNEL, m_StartButtonChannel);
	DDV_MinMaxInt(pDX, m_StartButtonChannel, 0, 16);
	DDX_Text(pDX, IDC_BLOCK_INDICATOR_CHANNEL, m_BlockIndicatorChannel);
	DDV_MinMaxInt(pDX, m_BlockIndicatorChannel, 0, 16);
	DDX_Text(pDX, IDC_FHOLD_INDICATOR_CHANNEL, m_FHoldIndicatorChannel);
	DDV_MinMaxInt(pDX, m_FHoldIndicatorChannel, 0, 16);
	DDX_Text(pDX, IDC_START_INDICATOR_CHANNEL, m_StartIndicatorChannel);
	DDV_MinMaxInt(pDX, m_StartIndicatorChannel, 0, 16);
	DDX_Text(pDX, IDC_BLOCK_SKIP_SWITCH_CHANNEL, m_BlockSkipSwitchChannel);
	DDV_MinMaxInt(pDX, m_BlockSkipSwitchChannel, 0, 16);
	DDX_Text(pDX, IDC_DRYRUN_SWITCH_CHANNEL, m_DryrunSwitchChannel);
	DDV_MinMaxInt(pDX, m_DryrunSwitchChannel, 0, 16);
	DDX_Text(pDX, IDC_DRIVE_FAULT_INPUT_CHANNEL, m_DriveFaultInputChannel);
	DDV_MinMaxInt(pDX, m_DriveFaultInputChannel, 0, 16);
	DDX_Text(pDX, IDC_E_STOP_INPUT_CHANNEL, m_EStopInputChannel);
	DDV_MinMaxInt(pDX, m_EStopInputChannel, 0, 16);
	DDX_Text(pDX, IDC_EXT_E_STOP_INPUT_CHANNEL, m_ExtEStopInputChannel);
	DDV_MinMaxInt(pDX, m_ExtEStopInputChannel, 0, 16);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSetupExtControlsDlg, CDialog)
	//{{AFX_MSG_MAP(CSetupExtControlsDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CSetupExtControlsDlg message handlers
